Bug 1227348 - do DNF epel build with bug 1195385 backported
Summary: do DNF epel build with bug 1195385 backported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dnf
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1195385 1234972
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-02 13:10 UTC by Mikolaj Izdebski
Modified: 2015-07-31 18:33 UTC (History)
9 users (show)

Fixed In Version: dnf-0.6.4-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1195385
Environment:
Last Closed: 2015-07-31 18:33:38 UTC
Type: Bug


Attachments (Terms of Use)
Proposed patch (5.46 KB, patch)
2015-06-02 13:21 UTC, Mikolaj Izdebski
no flags Details | Diff

Description Mikolaj Izdebski 2015-06-02 13:10:59 UTC
+++ This bug was initially created as a clone of Bug #1195385 +++

Description of problem:
dnf cannot resolve provides with slashes.
Example or such provide: php-composer(symfony/yaml)

This is a regression most likely introduced by dnf commit c388ac6e.

Version-Release number of selected component (if applicable):
dnf-0.6.4-1.fc21.noarch

How reproducible:
always


Steps to Reproduce:
1. fedpkg clone php-phpunit-PHPUnit
2. cd php-phpunit-PHPUnit
3. mock --dnf `fedpkg srpm|awk '/./{print $2}'`

Actual results:
No matching package to install: 'php-composer(phpunit/php-code-coverage) >= 2.0'
No matching package to install: 'php-composer(phpunit/php-file-iterator) >= 1.3.2'
No matching package to install: 'php-composer(phpunit/php-invoker) >= 1.1.0'
No matching package to install: 'php-composer(phpunit/php-text-template) >= 1.2'
No matching package to install: 'php-composer(phpunit/php-timer) >= 1.0.2'
No matching package to install: 'php-composer(phpunit/phpunit-mock-objects) >= 2.3'
No matching package to install: 'php-composer(sebastian/comparator) >= 1.0'
No matching package to install: 'php-composer(sebastian/diff) >= 1.1'
No matching package to install: 'php-composer(sebastian/environment) >= 1.1'
No matching package to install: 'php-composer(sebastian/exporter) >= 1.0'
No matching package to install: 'php-composer(sebastian/global-state) >= 1.0'
No matching package to install: 'php-composer(sebastian/recursion-context) >= 1.0'
No matching package to install: 'php-composer(sebastian/version) >= 1.0'
No matching package to install: 'php-composer(symfony/class-loader) >= 2.0'
No matching package to install: 'php-composer(symfony/yaml) >= 2.0'

Expected results:
It builds as it used to with dnf-0.5.4-2.fc20.noarch or yum.

Additional info:
It affects most of PHP stack, not just single package.

--- Additional comment from Remi Collet on 2015-02-24 08:25:50 CET ---

@Michael thanks

Most of the PHP packages use php-pear(foo/bar) or php-composer(foor/bar) virtual provides/requires, see https://fedoraproject.org/wiki/Packaging:PHP

--- Additional comment from Jan Silhan on 2015-03-09 14:48:39 CET ---

Thanks for the report. PR: https://github.com/rpm-software-management/dnf/pull/238

--- Additional comment from Michael Simacek on 2015-05-04 11:07:21 CEST ---

could this go into epel7 as well? dnf is used by koschei and this bug in particular is a big problem for us on epel7

Comment 1 Mikolaj Izdebski 2015-06-02 13:21:05 UTC
Created attachment 1033791 [details]
Proposed patch

Comment 2 Mikolaj Izdebski 2015-06-02 13:30:13 UTC
Scratch build with the patch applied: http://koji.fedoraproject.org/koji/taskinfo?taskID=9916900

Comment 3 Mikolaj Izdebski 2015-06-15 09:59:15 UTC
This is a serious bug - it prevents DNF from installing system packages. Backported upstream patch is available. Could we have this bug resolved?

Comment 4 Honza Silhan 2015-06-15 19:45:19 UTC
Hi, if I decode it correctly you want to backport fix of bug 1195385 (commit 2f9ddd2) into EPEL7 dnf build. Michal, when you do a new build of DNF for epel, consider this, please.

Comment 5 Mikolaj Izdebski 2015-06-15 21:22:54 UTC
Yes, exactly. I have already backported the fix and attached patch.

Comment 6 Fedora Update System 2015-07-07 11:56:00 UTC
dnf-0.6.4-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dnf-0.6.4-2.el7

Comment 7 Fedora Update System 2015-07-08 17:02:49 UTC
Package dnf-0.6.4-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dnf-0.6.4-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7023/dnf-0.6.4-2.el7
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-07-31 18:33:38 UTC
dnf-0.6.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.